Hilite (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.tools

## Class Hilite

- java.lang.Object
- - hlt.language.tools.Hilite

-     public class Hilite
      extends java.lang.Object

  This is a tool that beautifies the presentation of Java code in html. It also recognizes javadoc comments formatted using html elements and uses the information that they provide. It is meant as a complement to the javadoc tool (which builds hyperlinked indexes and cross-references to java code documentation) by also providing links to the full (highlighted) code as well.
  Version:
    Last modified on Tue Nov 27 04:41:38 2012 by hak
  Author:
    Hassan Aït-Kaci
  Copyright:
    © by the author

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hilite(java.lang.String input)` Constructs a Hilite object with specified input file name asking for confirmation before when clobbering existing files.
    `Hilite(java.lang.String input, boolean clobber)` Constructs a Hilite object with specified input file name.
    `Hilite(java.lang.String input, java.lang.String configuration, java.lang.String stylefile, java.lang.String output, java.lang.String dir, boolean clobber)` Constructs a Hilite object with specified input file name, configuration file name, output file name, etc...

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Hilite

          public Hilite(java.lang.String input,
                java.lang.String configuration,
                java.lang.String stylefile,
                java.lang.String output,
                java.lang.String dir,
                boolean clobber)

      Constructs a Hilite object with specified input file name, configuration file name, output file name, etc...
      Parameters:
        `input` - name of file to highlight
        `configuration` - name of configuration file (properties)
        `output` - name of highlighted file
        `dir` - directory name where to write the highlighted file
        `clobber` - if `true`, overwrite existing files

    - #### Hilite

          public Hilite(java.lang.String input,
                boolean clobber)

      Constructs a Hilite object with specified input file name.
      Parameters:
        `input` - name of file to highlight
        `clobber` - if `true`, overwrite existing files

    - #### Hilite

          public Hilite(java.lang.String input)

      Constructs a Hilite object with specified input file name asking for confirmation before when clobbering existing files.
      Parameters:
        `input` - name of file to highlight